https://bugs.gentoo.org/789498

From ac44e8f14acbfd2810c46e07e38466673f0ad7e0 Mon Sep 17 00:00:00 2001
From: Niklas Haas <git@haasn.xyz>
Date: Tue, 23 Mar 2021 11:57:13 +0100
Subject: [PATCH] vulkan: blacklist FUCHSIA strings

Maybe one day we'll actually figure out how to make this python script
exclude platform-specific stuff in a way that doesn't rely on hardcoding
a list of strings to blacklist.

One day.

Fixes https://code.videolan.org/videolan/libplacebo/-/issues/131
---
 src/vulkan/utils_gen.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/vulkan/utils_gen.py b/src/vulkan/utils_gen.py
index a4565f3..53195f2 100644
--- a/src/vulkan/utils_gen.py
+++ b/src/vulkan/utils_gen.py
@@ -155,7 +155,7 @@ def get_vkstructs(registry):
         # Strings for platform-specific crap we want to blacklist as they will
         # most likely cause build failures
         blacklist_strs = [
-            'ANDROID', 'Surface', 'Win32', 'D3D12', 'GGP'
+            'ANDROID', 'Surface', 'Win32', 'D3D12', 'GGP', 'FUCHSIA',
         ]
 
         if any([ str in e.attrib['name'] for str in blacklist_strs ]):
-- 
GitLab
